#!/bin/bash
set -e

case "$1" in
    remove|upgrade|deconfigure)
        # Stop and disable the service
        if systemctl is-active --quiet skyview.service; then
            systemctl stop skyview.service
        fi
        
        if systemctl is-enabled --quiet skyview.service; then
            systemctl disable skyview.service
        fi
        ;;
esac

exit 0